Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

SOLVED Found 1 pre-existing rpmdb problem(s)

Discussion in 'General Discussion' started by Jafar Muhammed, Oct 17, 2017.

  1. Jafar Muhammed

    Jafar Muhammed Active Member

    Joined:
    Mar 21, 2017
    Messages:
    26
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    India
    cPanel Access Level:
    Root Administrator
    I tried to update my OS from WHM > Software > System Update as well as SSH.
    I am getting pre-existing rpmdb problem(s) error.

    Below is the output.

    Code:
    Requires: ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel
               Installed: ea-apr-util-1.5.2-13.13.9.cpanel.x86_64 (@EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.9.cpanel
               Available: ea-apr-util-1.5.2-10.5.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-10.5
               Available: ea-apr-util-1.5.2-10.6.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-10.6
               Available: ea-apr-util-1.5.2-10.7.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-10.7
               Available: ea-apr-util-1.5.2-10.8.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-10.8
               Available: ea-apr-util-1.5.2-10.9.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-10.9
               Available: ea-apr-util-1.5.2-11.11.1.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-11.11.1
               Available: ea-apr-util-1.5.2-11.11.1.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-11.11.1.cpanel
               Available: ea-apr-util-1.5.2-11.11.2.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-11.11.2.cpanel
               Available: ea-apr-util-1.5.2-12.12.1.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-12.12.1.cpanel
               Available: ea-apr-util-1.5.2-13.13.1.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.1.cpanel
               Available: ea-apr-util-1.5.2-13.13.2.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.2.cpanel
               Available: ea-apr-util-1.5.2-13.13.4.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.4.cpanel
               Available: ea-apr-util-1.5.2-13.13.5.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.5.cpanel
               Available: ea-apr-util-1.5.2-13.13.6.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.6.cpanel
               Available: ea-apr-util-1.5.2-13.13.7.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.7.cpanel
               Available: ea-apr-util-1.5.2-13.13.8.cpanel.x86_64 (EA4)
                   ea-apr-util(x86-64) = 1.5.2-13.13.8.cpanel
     You could try using --skip-broken to work around the problem
    ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
    ea-apr-util-devel-1.5.2-13.13.7.cpanel.x86_64 has missing requires of ea-apr-util(x86-64) = ('0', '1.5.2', '13.13.7.cpanel')
    
    yum exited 256
     
  2. HostingH

    HostingH Well-Known Member

    Joined:
    Jan 13, 2008
    Messages:
    125
    Likes Received:
    17
    Trophy Points:
    68
    cPanel Access Level:
    Root Administrator
    Try,

    mkdir /root/old_rpm_dbs/
    mv /var/lib/rpm/__db* /root/old_rpm_dbs/
    rpm --rebuilddb
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Jafar Muhammed

    Jafar Muhammed Active Member

    Joined:
    Mar 21, 2017
    Messages:
    26
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    India
    cPanel Access Level:
    Root Administrator
  4. cPWilliamL

    cPWilliamL cP Technical Analyst II
    Staff Member

    Joined:
    May 15, 2017
    Messages:
    257
    Likes Received:
    29
    Trophy Points:
    103
    Location:
    America
    cPanel Access Level:
    Root Administrator
    This is not an error that would indicate a corrupt RPM database; however, I wanted to mention that cPanel does provide a script(/scripts/find_and_fix_rpm_issues) to essentially do the same as what @HostingH recommended, but a bit safer.

    Code:
    ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
    ea-apr-util-devel-1.5.2-13.13.7.cpanel.x86_64 has missing requires of ea-apr-util(x86-64) = ('0', '1.5.2', '13.13.7.cpanel')
    
    It seems that `ea-apr-util' and `ea-apr-util-devel' versions are out of sync. Could you provide the output of `rpm -qa|grep ea-apr-util'? I have the following on my test box:
    Code:
    # rpm -qa|grep ea-apr-util
    ea-apr-util-1.5.2-13.13.8.cpanel.x86_64
    ea-apr-util-devel-1.5.2-13.13.8.cpanel.x86_64
    
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. Jafar Muhammed

    Jafar Muhammed Active Member

    Joined:
    Mar 21, 2017
    Messages:
    26
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    India
    cPanel Access Level:
    Root Administrator
    I got this @cPWilliamL
    Code:
    ea-apr-util-1.5.2-13.13.9.cpanel.x86_64
    ea-apr-util-devel-1.5.2-13.13.7.cpanel.x86_64
     
  6. cPWilliamL

    cPWilliamL cP Technical Analyst II
    Staff Member

    Joined:
    May 15, 2017
    Messages:
    257
    Likes Received:
    29
    Trophy Points:
    103
    Location:
    America
    cPanel Access Level:
    Root Administrator
    Please try removing them and reinstalling it as below:
    Code:
    # rpm -e --justdb --nodeps ea-apr-util-devel-1.5.2-13.13.7.cpanel.x86_64 ea-apr-util-1.5.2-13.13.9.cpanel.x86_64
    # yum install ea-apr-util-devel ea-apr-util
    
    Then try your update once more.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    Jafar Muhammed likes this.
  7. Jafar Muhammed

    Jafar Muhammed Active Member

    Joined:
    Mar 21, 2017
    Messages:
    26
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    India
    cPanel Access Level:
    Root Administrator
  8. cPWilliamL

    cPWilliamL cP Technical Analyst II
    Staff Member

    Joined:
    May 15, 2017
    Messages:
    257
    Likes Received:
    29
    Trophy Points:
    103
    Location:
    America
    cPanel Access Level:
    Root Administrator
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice